Feature: Settings

  Scenario: Admin can visit the settings page
    Given I am a logged in admin
    When I visit the settings page
    Then I can see the settings page title

  Scenario: Admin can update the object name setting
    Given I am a logged in admin
    When I visit the settings page
    Then I can inline edit "object_name" with value "My test value"
    And There is a main object named "My test value"

  Scenario: Admin can update the organism type setting
    Given I am a logged in admin
    When I visit the settings page
    Then I can inline edit "organism_type" with value "Entreprise"
    And There is a main organism type named "Entreprise"

  Scenario: Non-admin user cannot see the settings button
    Given I am a logged in non-admin
    When I visit the url /spirit_hub
    Then I should not see the settings button
